# Gimp.TextLayer.get_by_id

    function get_by_id(layer_id: Number(gint32)): Gimp.TextLayer {
        // Gjs wrapper for gimp_text_layer_get_by_id()
    }

Returns a Gimp.TextLayer representing layer_id. This function calls Gimp.Item.get_by_id and returns the item if it is layer or null otherwise.

Since 3.0

layer_id

  The layer id.

Returns

  a Gimp.TextLayer for layer_id or null if layer_id does not represent a valid layer. The object belongs to libgimp and you must not modify or unref it.